[arch-commits] Commit in trapproto/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Mar 7 15:12:46 EST 2010


    Date: Sunday, March 7, 2010 @ 15:12:46
  Author: jgc
Revision: 71585

upgpkg: trapproto 3.4.3-3
Convert to arch=any

Modified:
  trapproto/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-07 20:09:48 UTC (rev 71584)
+++ PKGBUILD	2010-03-07 20:12:46 UTC (rev 71585)
@@ -1,11 +1,11 @@
 # $Id$
-#Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=trapproto
 pkgver=3.4.3
-pkgrel=2
+pkgrel=3
 pkgdesc="X11 Trap extension wire protocol"
-arch=(i686 x86_64)
+arch=(any)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 source=(http://xorg.freedesktop.org/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
@@ -13,9 +13,11 @@
 sha1sums=('b108aa39a7bfde530d5cd347fda7c58770d5b8da')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  make DESTDIR="${pkgdir}" install || return 1
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list